Summary:        Event-based framework for internet applications
Name:           python-twisted
Version:        1.3.0
Release:        2mdk
Source0:        http://twisted.sourceforge.net/Twisted-%{version}.tar.bz2
License:        LGPL
Group:          Development/Python
URL:            http://www.twistedmatrix.com/
BuildRoot:      %{_tmppath}/%{name}-buildroot
Requires:       pycrypto
BuildRequires:	python-devel

%description
Twisted is a framework, written in Python, for writing networked
applications. It includes implementations of a number of commonly used
network services such as a web server, an IRC chat server, a mail
server, a relational database interface and an object broker. Developers
can build applications using all of these services as well as custom
services that they write themselves. Twisted also includes a user
authentication system that controls access to services and provides
services with user context information to implement their own security
models.

%package doc
Summary:       Documentation of the twisted framework
Group:          Development/Python

%description doc
This package contains the documenation of the Twisted framework.
See %{name} for more information.

Twisted is used to write networked applications in python.

%prep
%setup -q -n Twisted-%version

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root  %buildroot
%__install -d                      %buildroot%_mandir/man1
%__install -m 644 doc/man/*.1      %buildroot%_mandir/man1

%clean
%__rm -rf %buildroot

%files doc
%defattr(0644,root,root,0755)
%doc doc

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc CREDITS ChangeLog LICENSE README
%_libdir/python%pyver/site-packages/twisted
%_mandir/man1/*

%changelog
* Wed Sep 22 2004 Michael Scherer <misc@mandrake.org> 1.3.0-2mdk 
- split the doc from main package
- fix url of source, and remoe unused macro
 
* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 1.3.0-1mdk
- New version

* Thu Apr 08 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.0-1mdk
- New version
- Contains .so so can't be noarch
- BuildRequires python-devel

* Mon Dec 15 2003 Erwan Velu <erwan@mandrakesoft.com> 1.1.1-1mdk
- New version

* Mon Oct 27 2003 Han Boetes <han@linux-mandrake.com> 1.1.0-1mdk
- Bump

* Wed Oct 15 2003 Han Boetes <han@linux-mandrake.com> 1.0.7-1mdk
- Cleaned up the spec
- Changed architecture
- New version
- Known bug: conch doesn't work with openssh-3.7.1

* Wed Sep 17 2003 Han Boetes <han@linux-mandrake.com> 1.0.6-2mdk
- Added pycrypto-dependency. Now we can use conch as well.
- Removed trailing whitespace.

* Sun Aug 24 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-1mdk
- initial Mandrake Linux packaging
